CGAL 6.2 - 3D Mesh Generation: MeshVertexBase_3 Concept Reference

CGAL 6.2 - 3D Mesh Generation

Loading...
Searching...
No Matches
List of all members
MeshVertexBase_3 Concept Reference
Reference Manual » Secondary Concepts

## Definition

The concept `MeshVertexBase_3` describes the requirements for the `Vertex` type of the triangulation used by a 3D mesh generation process. The type `MeshVertexBase_3` refines the concepts `RegularTriangulationVertexBase_3`, `SimplicialMeshVertexBase_3`, and `SurfaceMeshVertexBase_3`. It provides additional members to store and retrieve information about the location of the vertex with respect to the input domain describing the domain to be discretized. More specifically, the concept `MeshVertexBase_3` provides read-write access to an integer representing the dimension of the lowest dimensional face of the input 3D complex on which the vertex lies, and to an index characteristic of this face. The concept `MeshVertexBase_3` provides storage and read-write access to a boolean, a `FT` value, and two `Vertex_handle` called 'intrusive'.

The parallel algorithms require an erase counter in each cell (see below).

Refines
  `SimplicialMeshVertexBase_3`
  `RegularTriangulationVertexBase_3`
  `SurfaceMeshVertexBase_3`

Has models
  `CGAL::Mesh_vertex_base_3<GT,MD,Vb>`

See also
  `CGAL::make_mesh_3()`
  `CGAL::refine_mesh_3()`
  `MeshDomain_3`

## Types
typedef unspecified_type | Index
| Index type.
typedef unspecified_type | FT
| Numerical type.

## Operations
int | in_dimension () const
| Returns the dimension of the lowest dimensional face of the input 3D complex that contains the vertex.
void | set_dimension (int)
| Sets the dimension of the lowest dimensional face of the input 3D complex that contains the vertex.
Index | index ()
| Returns the index of the lowest dimensional face of the input 3D complex that contains the vertex.
void | set_index (Index)
| Sets the index of the lowest dimensional face of the input 3D complex that contains the vertex.

## Internal
These functions are used internally. The user is not encouraged to use them directly as they may change in the future.
bool | is_special ()
| Returns a boolean, used for feature edges protection.
void | set_special (bool)
| Sets the special aspect of the vertex.
FT | meshing_info () const
void | set_meshing_info (FT)
Vertex_handle | next_intrusive () const
void | set_next_intrusive (Vertex_handle)
Vertex_handle | previous_intrusive () const
void | set_previous_intrusive (Vertex_handle)
unsigned int | erase_counter () const
| Get the erase counter.
void | set_erase_counter (unsigned int c)
| Sets the erase counter.
void | increment_erase_counter ()
| Increments the erase counter.

## Member Typedef Documentation

## ◆ Index

typedef unspecified_type MeshVertexBase_3::Index

Index type.

Must match the type `MeshDomain_3::Index`.

## Member Function Documentation

## ◆ erase_counter()

unsigned int MeshVertexBase_3::erase_counter | ( |  | ) | const

Get the erase counter.

Only required by the parallel algorithms. See `CGAL::Compact_container` for more details.

## ◆ increment_erase_counter()

void MeshVertexBase_3::increment_erase_counter | ( |  | ) |

Increments the erase counter.

Only required by the parallel algorithms. See `CGAL::Compact_container` for more details.

## ◆ set_erase_counter()

void MeshVertexBase_3::set_erase_counter | ( | unsigned int | c | ) |

Sets the erase counter.

Only required by the parallel algorithms. See `CGAL::Compact_container` for more details.